org.apache.olingo.odata2.api.edm.provider

## Class FunctionImportParameter

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.FunctionImportParameter

-     public class FunctionImportParameter
      extends Object

  Objects of this class represent function import parameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionImportParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `EdmFacets` | `getFacets()`
    `Mapping` | `getMapping()`
    `String` | `getMode()`
    `String` | `getName()`
    `EdmSimpleTypeKind` | `getType()`
    `FunctionImportParameter` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `FunctionImportParameter`
    `FunctionImportParameter` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `FunctionImportParameter`
    `FunctionImportParameter` | `setDocumentation(Documentation documentation)` Sets the `Documentation` of this `FunctionImportParameter`
    `FunctionImportParameter` | `setFacets(EdmFacets facets)` Sets the `EdmFacets` of this `FunctionImportParameter`
    `FunctionImportParameter` | `setMapping(Mapping mapping)` Sets the `Mapping` of this `FunctionImportParameter`
    `FunctionImportParameter` | `setMode(String mode)` Sets the mode of this `FunctionImportParameter`
    `FunctionImportParameter` | `setName(String name)` Sets the name of this `FunctionImportParameter`
    `FunctionImportParameter` | `setType(EdmSimpleTypeKind type)` Sets the `EdmSimpleTypeKind` of this `FunctionImportParameter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionImportParameter

          public FunctionImportParameter()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of the parameter

    - #### getMode

          public String getMode()

      Returns:
        String mode of this parameter

    - #### getType

          public EdmSimpleTypeKind getType()

      Returns:
        `EdmSimpleTypeKind` of this parameter

    - #### getFacets

          public EdmFacets getFacets()

      Returns:
        `EdmFacets` of this parameter

    - #### getMapping

          public Mapping getMapping()

      Returns:
        `Mapping` of this parameter

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        collection of `AnnotationElement` annotation elements

    - #### setName

          public FunctionImportParameter setName(String name)

      Sets the name of this `FunctionImportParameter`
      Parameters:
        `name` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setMode

          public FunctionImportParameter setMode(String mode)

      Sets the mode of this `FunctionImportParameter`
      Parameters:
        `mode` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setType

          public FunctionImportParameter setType(EdmSimpleTypeKind type)

      Sets the `EdmSimpleTypeKind` of this `FunctionImportParameter`
      Parameters:
        `type` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setFacets

          public FunctionImportParameter setFacets(EdmFacets facets)

      Sets the `EdmFacets` of this `FunctionImportParameter`
      Parameters:
        `facets` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setMapping

          public FunctionImportParameter setMapping(Mapping mapping)

      Sets the `Mapping` of this `FunctionImportParameter`
      Parameters:
        `mapping` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setDocumentation

          public FunctionImportParameter setDocumentation(Documentation documentation)

      Sets the `Documentation` of this `FunctionImportParameter`
      Parameters:
        `documentation` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setAnnotationAttributes

          public FunctionImportParameter setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `FunctionImportParameter`
      Parameters:
        `annotationAttributes` -
      Returns:
        `FunctionImportParameter` for method chaining

    - #### setAnnotationElements

          public FunctionImportParameter setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `FunctionImportParameter`
      Parameters:
        `annotationElements` -
      Returns:
        `FunctionImportParameter` for method chaining

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.